#ifndef INCLUDED_FOURIER_H
#define INCLUDED_FOURIER_H

/*
 * fourier.h
 *
 * Peter Mawhorter, 2009-1-6
 *
 * Header for the Fourier transform functionality.
 */

/**************************
 * Function declarations: *
 **************************/

void setupFourier(int periodsize, int channels, int bytespersample,
                  int endianness, int rate);
void teardownFourier();
void transferData(unsigned char* data, fftw_complex* destination, int bindex);
int meetsThreshold(fftw_complex *signal, int bps, float threshold);
int* processPeriod(unsigned char* data);
int findPeakFrequency(fftw_complex *transform, float duration);

#endif //INCLUDED_FOURIER_H
